### Virtual Method

# Gio AppInfo get_commandline

since: 2.20

#### Declaration [src]

    const char*
    get_commandline (
      GAppInfo* appinfo
    )

#### Description [src]

Gets the commandline with which the application will be started.

Available since: 2.20

#### Return value

Type: `const char*`

A string containing the `appinfo`’s commandline, or `NULL` if this information is not available.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.